summaryrefslogtreecommitdiffstats
path: root/libraries/libfprint
diff options
context:
space:
mode:
author Terry Laundos <terry@s1solucoes.com.br>2010-05-11 22:54:06 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:06 +0200
commit9ad76ec70e853dd7d903f2e46982342dd969e0ee (patch)
tree04b4212e84c5ee53ceb6dd77589c7ee0cf61c930 /libraries/libfprint
parent462de9b508542d5069211314532b588eb28be0d4 (diff)
downloadslackbuilds-9ad76ec70e853dd7d903f2e46982342dd969e0ee.tar.gz
slackbuilds-9ad76ec70e853dd7d903f2e46982342dd969e0ee.tar.xz
libraries/libfprint: Added to 12.1 repository
Diffstat (limited to 'libraries/libfprint')
-rw-r--r--libraries/libfprint/README13
-rw-r--r--libraries/libfprint/libfprint.SlackBuild55
-rw-r--r--libraries/libfprint/libfprint.info8
-rw-r--r--libraries/libfprint/slack-desc19
4 files changed, 95 insertions, 0 deletions
diff --git a/libraries/libfprint/README b/libraries/libfprint/README
new file mode 100644
index 0000000000..d7fa8b66be
--- /dev/null
+++ b/libraries/libfprint/README
@@ -0,0 +1,13 @@
+libfprint is the center of our efforts. libfprint is the component
+which does the dirty work of talking to fingerprint reading devices,
+and processing fingerprint data.
+
+If you're a user, you probably aren't interested in libfprint,
+instead you want to find some software which uses libfprint
+(see the integration project).
+
+If you're an application developer looking to add support for some
+kind of fingerprinting to your software, libfprint is exactly what
+you are looking for. It provides a simple API for you to enroll
+fingerprints and then identify users later on.
+
diff --git a/libraries/libfprint/libfprint.SlackBuild b/libraries/libfprint/libfprint.SlackBuild
new file mode 100644
index 0000000000..b2b56ebafa
--- /dev/null
+++ b/libraries/libfprint/libfprint.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for libfprint
+
+# Written by Terry Laundos <terry.laundos@s1solucoes.com.br>
+
+set -e
+
+PRGNAM=libfprint
+VERSION=0.0.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING HACKING INSTALL NEWS README THANKS INSTALL TODO doc/ \
+ examples/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libfprint/libfprint.info b/libraries/libfprint/libfprint.info
new file mode 100644
index 0000000000..7caa4c8cf7
--- /dev/null
+++ b/libraries/libfprint/libfprint.info
@@ -0,0 +1,8 @@
+PRGNAM="libfprint"
+VERSION="0.0.6"
+HOMEPAGE="http://reactivated.net/fprint/wiki/Libfprint"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/fprint/libfprint-0.0.6.tar.bz2"
+MD5SUM="4f47b46021b186488b60aaa97f90fe43"
+MAINTAINER="Terry Laundos"
+EMAIL="terry@s1solucoes.com.br"
+APPROVED="dsomero"
diff --git a/libraries/libfprint/slack-desc b/libraries/libfprint/slack-desc
new file mode 100644
index 0000000000..1904bdc7e3
--- /dev/null
+++ b/libraries/libfprint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+
+libfprint: libfprint (library for support fingerprint reader devices)
+libfprint:
+libfprint: libfprint is an open source software library designed to make it easy
+libfprint: for application developers to add support for consumer fingerprint
+libfprint: readers to their software.
+libfprint:
+libfprint: The library website can be found at:
+libfprint: http://reactivated.net/fprint/wiki/Libfprint
+libfprint:
+libfprint: